%%%%%%%%%%%%%%%%%%%%%%--Parent function of SlamLoad--%%%%%%%%%%%%%%%%%%%%%%

tic
% clear all
% clc

g=9.81;                         %Gravitational constant 
d=204.5;                        %Model water depth
rho=1025;
D=0.660;                         %Riser diameter

%%%%%%%%%%%%%%%%%%%%%%%%%%%-Seastate parameters-%%%%%%%%%%%%%%%%%%%%%%%%%%%
Hs=8;
Tp=12;

%%%%%%%%%%%%%%%%%%%%-Dynamic simulation parameters-%%%%%%%%%%%%%%%%%%%%%%%%
simtime=120;                      %Length of simulation time [s]
dt=0.004;                          %Time increment used in Riflex
incnum=simtime/dt;               %Number of time steps in simulation
nn=250;                          %Number of nodes in line 8:

%%%%%%%%%%%%-Riflex wave simulation parameters (dynmod.inp)-%%%%%%%%%%%%%%%
R_wavedt=0.5;                         %Riflex wave simulation time increment
R_wavesimtime=3800;                   %Riflex wave simulation time
R_waveincnum=R_wavesimtime/R_wavedt;  %Number of wave simulation time increments

%%%%%%%%%-Matlab-generated irregular wave time series parameters-%%%%%%%%%%
wavedt=0.004;                        %Matlab-generated wave simulation time increment
wavesimtime=simtime;               %Matlab-generated wave simulation time 
waveincnum=wavesimtime/wavedt;     %Number of wave simulation time increments 

%%%%%%%%%%%%%%%%%%%%%%%%%%%-Specifying seastate-%%%%%%%%%%%%%%%%%%%%%%%%%%%

% [folder,lowfreq,highfreq]=casespec(Hs,Tp);

%%%%%%%%%%%%%%%%%%%%%-Reading nodal displacement file-%%%%%%%%%%%%%%%%%%%%%

% [timesteps,noddisp_x,noddisp_y,noddisp_z,A]=bin_read(fullfile(folder,'sima_noddis.bin'),nn,incnum);

%%%%%%%%%%%%%%%%-Numerical differentiation of nodal displacements-%%%%%%%%%

% [nodvel_x]=nodaldispvel(incnum,dt,nn,timesteps,noddisp_x,noddisp_y,noddisp_z);

%%%%%%%%%-Calculation of irregular wave elevation and kinematics-%%%%%%%%%%

% [compn,freq,amp,phase,time,timeriflex,zs,u,ncpup,zeta_tot]=waveel(g,nn,R_wavesimtime,R_wavedt,R_waveincnum,wavesimtime,wavedt,dt,waveincnum,timesteps,d,incnum,lowfreq,highfreq,folder);

%%%%%%%%%%%%-Calculation of relative velocities at riser nodes-%%%%%%%%%%%%

% [vertpos,velint,dL,nvertpos,rel_vel]=nodevelocities(timesteps,d,incnum,nn,noddisp_z,nodvel_x,zs,u,ncpup);

%%%%%%%%%%%%%%%%%-Calculating wave slam forces on nodes-%%%%%%%%%%%%%%%%%%%

[sumSlam,dFslam,s]=waveslam(timesteps,incnum,vertpos,velint,zeta_tot,D,time,rho,dt,dL,nvertpos,rel_vel,simtime,Hs,Tp);

%%%%%%%%%%%%%%%%%-Writing forces to file for use in Sima-%%%%%%%%%%%%%%%%%%

% writeslam(incnum,timesteps,nvertpos,sumSlam,dFslam,folder);
toc

