%Reads in nodal displacements (from dynmod run) and differentiates to find
%velocities

function [nodvel_x] = nodaldispvel(incnum,dt,nn,timesteps,noddisp_x,noddisp_y,noddisp_z)

%%%%%%-plotting displacement of riser node around MWL to illustrate-%%%%%%%
% hold on
% plot(timesteps(1:600,1),noddisp_x(1:600,14))

%%%%%-numerically differentiating displacements to obtian velocities-%%%%%
nodvel_x=zeros(incnum,nn);
for i=1:incnum
    for j=1:nn
        if i==1
            nodvel_x(i,j)=(noddisp_x(i+1,j)-noddisp_x(i,j))/dt;
        elseif i==incnum
            nodvel_x(i,j)=(noddisp_x(i,j)-noddisp_x(i-1,j))/dt;
        else
            nodvel_x(i,j)=(noddisp_x(i+1,j)-noddisp_x(i-1,j))/(2*dt);
        end
    end
end

%%%%%%-plotting displacement of riser node around MWL to illustrate-%%%%%%%

%node located around MWL:
% nodemwl=nn/2+2;
% 
% displvel=figure;
% [AX,H1,H2] = plotyy(timesteps(1:600,1),noddisp_x(1:600,nodemwl),timesteps(1:600,1),nodvel_x(1:600,nodemwl),'plot');
% set(get(AX(1),'Ylabel'),'String',['Displacement, node ',num2str(nodemwl) ' [m]']) 
% set(get(AX(2),'Ylabel'),'String',['Velocity, node ',num2str(nodemwl) ' [m/s]']) 
% xlabel('Time [s]') 
% set(H1,'LineWidth',1)
% set(H2,'LineWidth',1.2)
% title('Nodal displacement and velocity')
% matlab2tikz(strcat('displvel.tikz'), 'height', '\figureheight', 'width', '\figurewidth','showInfo', false,'checkForUpdates',false);
% fclose('all');
% fpath=('C:\Users\Balder\Documents\Masteroppgave\Latex\tikz');
% movefile(strcat('displvel.tikz'),fpath)
% fpath=('C:\Users\Balder\Documents\Masteroppgave\Latex\pics');
% saveas(displvel,fullfile(fpath,'displvel.png'))
    disp('nodaldispvel done')
end