function [riser,zs,z,u] = wavevel(T,omega,g,lambda,k,H,etaA,d,eta2,tmax,t,x)

%defining riser
risend1=-d;
risend2=25;                         %top of riser at drilling deck height
Lriser=risend2-risend1;
nel=Lriser*10;                          
dL=Lriser/nel;                    %element height is now 1 m
%creating coordinates in riser vector, from top to bottom
riser=zeros(nel+1,1);
for i=1:nel+1
    if i==1
        riser(i,1)=risend2;
    else
        riser(i,1)=riser(i-1)-dL;
    end
end
%wave profile, oscillating around mean=0, the sea surface

%defining velocity matrix. Time step columns, z-position rows. 
%%%%%%%%%%%%Wheeler stretching to the velocity profile%%%%%%%%%%%
%relating zs coordinate to wave height
%number of nodes down the riser
nn=200;
zs=zeros(nn,tmax);
for i=1:tmax+1
     dwh=(eta2(1,i)+d)/(nn-1);
    for j=1:nn
        if j==1
        zs(j,i)=eta2(1,i);
        else
        zs(j,i)=zs(j-1,i)-dwh;
        end
    end
end
%Wheeler stretching, creating z vector, calculating velocity
for i=1:tmax+1
    for j=1:nn
        z(j,i)=(zs(j,i)-zs(1,i))/(1+zs(1,i)/d);
        u(j,i)=etaA*omega*exp(k*z(j,i))*cos(omega*t(1,i));
    end
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%-making velocity vector plot plotted with wave to show velocity on
%%%%%%%%riser as a function of time-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%making fewer arrows
for i=1:tmax+1
    ufig(1,i)=u(1,i);
    ufig(2,i)=u(9,i);
    ufig(3,i)=u(17,i);
    ufig(4,i)=u(25,i);
    ufig(5,i)=u(33,i);
    ufig(6,i)=u(41,i);
    zsfig(1,i)=zs(1,i);
    zsfig(2,i)=zs(9,i);
    zsfig(3,i)=zs(17,i);
    zsfig(4,i)=zs(25,i);
    zsfig(5,i)=zs(33,i);
    zsfig(6,i)=zs(41,i);
end
x=zeros(6,1);
v=zeros(6,1);
figure
for i=1:5
    velprof=subplot(1,5,i);
    hold on
    quiver(x,zsfig(:,71+i*6),ufig(:,71+i*6),v,ufig(1,71+i*6)/ufig(1,101),'Color','k')
    line([0 0],[-25 zsfig(1,71+i*6)],'Color','k')
    xlabel('|u|')
    ylabel('\zeta','rot',0)
    axis([-5 11 -25 20]) 
end
fpath=('C:\Users\Balder\Desktop\Prosjektoppgave\Latex\pics');
saveas(velprof,fullfile(fpath,'velprof.png'))
figure       
for i=1:tmax+1
    plot(u(:,i),zs(:,i))
    axis([-20 20 -d 30])
    F(i)=getframe;
end
movie(F,10,5)
% plot(u(:,1),zs(:,1))
end
